
# アプリケーションのAPI付与を取得する

`GET /v1/applications/{application_id}/api-grants/{api_id}` · 権限 `applications:write`

アプリケーションが1つのAPIについてリクエストできるスコープと、デフォルトで許可されるスコープを返します。

## リクエスト

| パラメーター | 場所 | 説明 |
|---|---|---|
| `application_id` | path | アプリケーションID(`app_…`)。 |
| `api_id` | path | APIID(`api_…`)。 |

## レスポンス

`200 OK`。

```json
{
  "application_id": "app_6f8d0cjgbmf0gtn2rg6pscp3cg",
  "api_id": "api_0000000000000000000000001z",
  "scopes": ["orders:read", "orders:write"],
  "default_scopes": ["orders:read"],
  "created_at": "2026-10-05T10:00:01Z",
  "updated_at": "2026-10-05T10:00:01Z"
}
```

## エラー

| HTTP | `code` | 状況 |
|---|---|---|
| 401 | `unauthenticated` | キーが見つからない、無効、またはアクティベーション解除されている。 |
| 403 | `insufficient_permissions` | キーが必要な権限を持っていない。 |
| 404 | `not_found` | この環境にアプリケーションまたは付与が存在しない。 |

## 例

```bash
curl https://api.eu.keenauth.com/v1/applications/app_6f8d0cjgbmf0gtn2rg6pscp3cg/api-grants/api_0000000000000000000000001z \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"
```
